version: "3"

tasks:
  update-linter:
    cmds:
      - go get -u gitea.pena/PenaSide/linters-golang
  lint:
    cmds:
      - task: update-linter
      - cmd: golangci-lint run -v -c $(go list -f '{{"{{"}}.Dir{{"}}"}}' -m gitea.pena/PenaSide/linters-golang)/.golangci.yml
